aboutsummaryrefslogtreecommitdiff
path: root/git-am.sh
diff options
context:
space:
mode:
authorH. Peter Anvin <hpa@zytor.com>2005-12-13 22:39:23 -0800
committerJunio C Hamano <junkio@cox.net>2005-12-14 02:04:56 -0800
commitb3f041fb0f7de167dbb6711b0a231d36c4b5de08 (patch)
treec30a6e87fd931d0ac5195aa1dc1910d21fc19ccd /git-am.sh
parent01f49e3453d9960fec62d93bc3a66784f1be4c26 (diff)
downloadgit-b3f041fb0f7de167dbb6711b0a231d36c4b5de08.tar.gz
git-b3f041fb0f7de167dbb6711b0a231d36c4b5de08.tar.xz
git-am support for naked email messages (take 2)
This allows git-am to accept single-message files as well as mboxes. Unlike the previous version, this one doesn't need to be explicitly told which one it is; rather, it looks to see if the first line is a From line and uses it to select mbox mode or not. I moved the logic to do all this into git-mailsplit, which got a new user interface as result, although the old interface is still available for backwards compatibility. [jc: applied with two obvious fixes.] Signed-off-by: H. Peter Anvin <hpa@zytor.com> Signed-off-by: Junio C Hamano <junkio@cox.net>
Diffstat (limited to 'git-am.sh')
-rwxr-xr-xgit-am.sh5
1 files changed, 1 insertions, 4 deletions
diff --git a/git-am.sh b/git-am.sh
index 6ed527c7a..f143b7e78 100755
--- a/git-am.sh
+++ b/git-am.sh
@@ -164,10 +164,7 @@ else
# Start afresh.
mkdir -p "$dotest" || exit
- # cat does the right thing for us, including '-' to mean
- # standard input.
- cat "$@" |
- git-mailsplit -d$prec "$dotest/" >"$dotest/last" || {
+ git-mailsplit -d"$prec" -o"$dotest" -b -- "$@" > "$dotest/last" || {
rm -fr "$dotest"
exit 1
}